"use strict";

const child = require( "child_process" );
const falze = require( "falze" );
const Olivant = require( "olivant" );
const loadPackage = require( "load-package" );

const getNpmModuleVersion = function getNpmModuleVersion( option ) {

	option = option || { };

	let packageJsonContent = loadPackage( );

	let version = packageJsonContent.version;

	if( falze( version ) ) {

		Warning( "empty module version", option )
		.remind( "cannot get npm module version", option )
		.prompt( );

	}

	return version;

};

module.exports = getNpmModuleVersion;
